Bug 57030 - Impress crashes after using custom shapes
Summary: Impress crashes after using custom shapes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: All All
: highest critical
Assignee: Radek Doulik
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-11-12 19:28 UTC by Rob Snelders
Modified: 2012-12-14 21:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Snelders 2012-11-12 19:28:11 UTC
Impress crashes when using custom shapes:

- Open Impress
- Add a Custom Shape (for example Up Arrow)
- Save presentation (doesn't matter what format)
- Close the presentation.

It doesn't exit cleanly but gives a: Exited with code '139'
Comment 1 Julien Nabet 2012-11-12 22:12:56 UTC
Rob: On which env are you?
Could you take a look to fdo#55974 (https://bugs.freedesktop.org/show_bug.cgi?id=55974), it could be a dup.
Comment 2 Rob Snelders 2012-11-12 22:17:37 UTC
I'm using the master on Ubuntu 12.04 x86_64
My master has commit 65d4e59fedc4ce6b0aa1ead3f55cecf5921a0c6f as last commit which is from 2012-11-05 21:39:36

The file in bug 55974 doesn't crash here, so I'm afraid it isn't a dup.
Comment 3 Petr Mladek 2012-11-13 10:37:37 UTC
Rob, which platform are you using? Windows or Linux?

Well, crash on exit should not break the release. It is suspicious, annoying, worth fast fixing but it does not break the primary function. So, lowering the severity a bit. Also adding Muthu into CC who is working on Impress as well.
Comment 4 Julien Nabet 2012-11-13 21:18:43 UTC
Rob: sorry in fact I don't reproduce this one. However during closing I've got this on console:
Error: File /home/julien/compile-libreoffice/libo/sal/osl/all/debugbase.cxx, Line 138: unexpected number of 19SvxUnoTextRangeBase: 1; Expected: 0
warn:legacy.osl:8194:1:/home/julien/compile-libreoffice/libo/unotools/source/config/configmgr.cxx:202: OSL_ASSERT: items_.empty()
Comment 5 Radek Doulik 2012-11-26 16:58:34 UTC
I have fixed the crash in master

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a04735e037289585aa4c4fb68c6907b38a828f41
Comment 6 Michal Lisiak 2012-12-14 21:59:57 UTC
Checked with 'LibO-Dev_4.0.0.0.beta1_Linux_x86-64_install-deb_en-US', Kubuntu 12.10. No error messages noticed on exit